@media (max-width: 1700px) and (min-width: 1301px) {
  .flux {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
  }
  .soldes {
    height: 310px;
  }
}
@media (max-width: 1300px) and (min-width: 1000px) {
  .gal .gal_img {
    height: 150px;
  }
  .menu_app ul {
    max-height: 145vh;
  }
  .flux {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
  }
  .title_app {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px;
    background-color: #002147;
    color: #ffff;
  }
  .soldes {
    height: 320px;
  }
}
@media (max-width: 999px) {
  .table-container {
    overflow-x: auto;
  }
  .menu {
    display: none;
  }
  .content {
    margin-left: 0;
  }
  .table-container {
    width: 95%;
  }
  .liste_grids {
    grid-template-columns: 1fr 1fr;
  }

  .const_grid {
    width: 100%;
  }

  .mobile {
    display: block;
  }

  .mobile_menu {
    font-size: 25px;
    font-weight: 700;
  }

  .mobile {
    display: block;
    position: fixed;
    width: 50%;
    height: 100vh;
    z-index: 12;
    top: 7%;
    left: -100%;
    background-color: #002147;
    text-align: center;
    transition: all 0.5s;
    overflow: auto;
  }

  .mobile li {
    line-height: 30px;
    list-style: none;
    overflow: auto;
  }
  .mobile li a {
    color: #1f2937;
  }
  #check:checked ~ .mobile {
    left: 0;
  }
  #check:checked ~ label #btn {
    display: none;
  }

  #check:checked ~ label #cancel {
    display: block;
  }
  .title_suject {
    left: 7%;
    top: 2%;
  }

  /* header */
  .tel {
    display: none;
  }

  .l_mobile li {
    display: flex;
    align-items: center;
    color: #fff;
padding: 10px;
  }

  .flux {
    grid-template-columns: repeat(2, 1fr);
  }
  .histo {
    width: 100%;
    height: auto;
  }

  .chat_profil {
    width: 100%;
  }

  .update_img {
    top: 25%;
  }
  .informations {
    display: block;
  }

  .df {
    display: block;
  }
  .update_imgs {
    top: 100px;
  }
}

@media (max-width: 600px) {
  .liste_grids {
    grid-template-columns: 1fr;
  }
  .const_grid {
    width: 100%;
  }

  /* sur le header */

  .header ul {
    display: none;
  }

  .mobile {
    width: 100%;
  }

  .img_user {
    width: 30px;
    height: 30px;
  }

  .title_suject {
    left: 12%;
  }
  .titles_header {
    font-size: 15px;
  }

  .dt-length {
    display: none;
  }

  .tel {
    display: block;
  }

  .update_imgs {
    position: absolute;
    right: 30%;
    top: 150px;
    transition: all 0.3s cubic-bezier(0.175, 0.885, 0.32, 1.275);
    border-radius: 50%;
    color: goldenrod;
    background-color: #fff;
    height: 30px;
    width: 30px;
    line-height: 28px;
    text-align: center;
    font-size: 12px;
    cursor: pointer;
  }

  .flux {
    grid-template-columns: repeat(1, 1fr);
  }
  .mbi {
    width: 100%;
  }
  .faq_content {
    padding: 0;
  }
  .img_bien img {
    height: 300px;
  }
  .gal .gal_img {
    padding: 10px;
    width: 100%;
    height: 250px;
  }
  .profil_dash {
    display: block;
  }
}
